package com.ejie.ad74a.util.constantes;

/**
 * Tipos de procesos batch
 */

public enum ProcesosBatchEnum {

	ANADIR_PAGO_PRESTADOR(1, "pagoPS.sh"), //
	RECALCULAR_PAGO_PRESTADOR(2, "pagoPS.sh"), //
	COPAGO_AYTOS(3, "cpAytos.sh"), //
	COPAGO_AYTOS_FACT(4, "cpAytoFact.sh"), //	
	COPAGO_AYTOS_EXCEL(5, "cpAytoInfo.sh"), //
	COPAGO_BEN(6, "cpBen.sh"),
	BEN_DDFF(7, "benDDFF.sh"),
	COPAGO_BEN_MENS(8, "cpBenMens.sh"), //
	DEP_DIS_MASIVA(9, "depDisMas.sh"), //
	REFRESCO_SITUACIONES_ENVIO(10, "refSitEnv.sh"), //TODO [jbhg] la columa de bbdd TIPO_PROCESO_98 de la tabla PROCESOS no admite numeros de dos cifras...
	RESP_DEP_DIS_MASIVA(11, "respMasiv.sh"), //
	ACT_EXPEDIENTES(12, "actExps.sh"), //
	SEG_USUARIOS(13, "segUsu.sh"), //
	;
	private ProcesosBatchEnum(Integer id, String shell) {
		this.id = id;
		this.shell = shell;
	}

	private Integer id;
	private String shell;

	public Integer getId() {
		return this.id;
	}

	public String getShell() {
		return this.shell;
	}
}
